#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Unicode
%define		pnam	Map8
Summary:	Unicode::Map8 - mapping table between 8-bit chars and Unicode
Summary(pl.UTF-8):	Unicode::Map8 - tabela odwzorowująca między znakami 8-bitowymi a Unikodem
Name:		perl-Unicode-Map8
Version:	0.13
Release:	18
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Unicode/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fc93a37cabcae488bd95ca07bf5c919e
Patch0:		%{name}-types.patch
URL:		https://metacpan.org/dist/Unicode-Map8
BuildRequires:	perl-Unicode-String >= 2.00
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Unicode::Map8 class implement efficient mapping tables between
8-bit character sets and 16 bit character sets like Unicode. The
tables are efficient both in terms of space allocated and translation
speed. The 16-bit strings is assumed to use network byte order.

%description -l pl.UTF-8
Klasa Unicode::Map8 implementuje wydajne tablice odwzorowujące
pomiędzy 8-bitowymi zestawami znaków a 16-bitowymi zestawami takimi
jak Unikod. Tablice są wydajne zarówno jeśli chodzi o ilość
przydzielonego miejsca, jak i szybkość konwersji. Zakłada się, że
łańcuchy 16-bitowe używają sieciowej kolejności bajtów w słowie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install {diff_iso,make*maps,map8_*} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README rfc1345.txt
%attr(755,root,root) %{_bindir}/umap
%{perl_vendorarch}/Unicode/Map8.pm
%{perl_vendorarch}/Unicode/Map8
%dir %{perl_vendorarch}/auto/Unicode/Map8
%attr(755,root,root) %{perl_vendorarch}/auto/Unicode/Map8/Map8.so
%{_mandir}/man1/umap.1p*
%{_mandir}/man3/Unicode::Map8.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Unicode-Map8.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> 5da097a
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> b526b0c
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 2c808e0
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 3574d2c
- rebuild with perl 5.34.0

* Thu Jun 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 29ee693
- updated URL and macros

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 2ed764f
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> d8649b2
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 016928c
- rebuild with perl 5.30.0
- release 13 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> 91a9f0e
- release 12

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9dbcdda
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 3848846
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> c6eaeb8
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 8d0465d
- rel 8

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 0ab7ba4
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2aa6500
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 1238222
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 30bfdca
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 7a29c11
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> dbb6c21
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8dec4e3
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

